VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::vm::HardwareDefinitions Class Reference

Defines the type descriptors for the Hardware API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | updateOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | upgradeInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | upgradeOutput

## Detailed Description

Defines the type descriptors for the Hardware API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::HardwareDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::HardwareDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.HardwareDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::HardwareDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("version", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.HardwareTypes.Version)));
                    fields.Add("upgrade_policy", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.HardwareTypes.UpgradePolicy)));
                    fields.Add("upgrade_version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.HardwareTypes.Version))));
                    fields.Add("upgrade_status", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.HardwareTypes.UpgradeStatus)));
                    fields.Add("upgrade_error", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.AnyErrorType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(2);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("AFTER_CLEAN_SHUTDOWN", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("upgrade_version", false)});
                    caseFields.Add("ALWAYS", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("upgrade_version", false)});
                    caseFields.Add("NEVER", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("upgrade_policy", caseFields));
                    caseFields.Add("FAILED", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("upgrade_error", false)});
                    caseFields.Add("NONE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    caseFields.Add("PENDING", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    caseFields.Add("SUCCESS", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("upgrade_status", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.info", fields, typeof(vmware.vcenter.vm.HardwareTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::HardwareDefinitions::updateInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.HardwareDefinitions.updateSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::HardwareDefinitions::updateOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::HardwareDefinitions::updateSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("upgrade_policy", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.HardwareTypes.UpgradePolicy))));
                    fields.Add("upgrade_version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.HardwareTypes.Version))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("AFTER_CLEAN_SHUTDOWN", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("upgrade_version", true)});
                    caseFields.Add("ALWAYS", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("upgrade_version", true)});
                    caseFields.Add("NEVER", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("upgrade_policy", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.update_spec", fields, typeof(vmware.vcenter.vm.HardwareTypes.UpdateSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::HardwareDefinitions::upgradeInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.HardwareTypes.Version))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::HardwareDefinitions::upgradeOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

The documentation for this class was generated from the following file:

- HardwareDefinitions.cs